.srfimENTfilter.model <- function(object, lhead=25, nalt=1.3, npos=3, ...) {
  ENT <- getENT(object)
  f <- ENT[,1:lhead] >= log2(nalt)
  f <- rowSums(f) <= npos

  res <- !object@junk.reads
  res[res] <- f
  return(res)
}

.srfimENTfilter.qa <- function(object, ...) {
  message("This function is not implemented yet! Returning all TRUE (except dead reads)")
  return(!object@junk.reads)
}

.srfimSNRfilter.model <- function(object, ...) {
  message("This function is not implemented yet! Returning all TRUE (except dead reads)")
  return(!object@junk.reads)
}

.srfimSNRfilter.qa <- function(object, ...) {
  message("This function is not implemented yet! Returning all TRUE (except dead reads)")
  return(!object@junk.reads)
}

